<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Liste des Projection</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>

<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <div th:switch="${roomList}" class="container my-5">
                <p class="my-5">
                    <a href="/room/add" class="btn btn-primary">
                        <i class="fas fa-user-plus ml-2">Ajouter room </i></a>
                </p>
                <div class="col-md-10">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th>room number</th>
                                <th>capacity</th>
                                <th>edit</th>
                                <th>delete</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="room : ${roomList}">
                                <td th:text="${room.roomNumber}"></td>
                                <td th:text="${room.capacity}"></td>
                                <td>
                                    <a th:href="@{/room/edit/{id}(id=${room.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-edit ml-2"></i>
                                    </a>
                                </td>
                                <td>
                                    <a th:href="@{/room/delete/{id}(id=${room.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-times ml-2"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>

</html>